# List reusable blocks Queries reusable blocks. Endpoint: GET /notifications/reusable-blocks Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Query parameters: - `start` (integer) The first index of the query result. - `limit` (integer) The maximum number of results the query should return. - `activeOnly` (boolean) Whether to return only active reusable blocks. - `category` (string) The category that the returned blocks belong to. Enum: "Headers", "Footers", "Other" - `name` (string) The name of the block the query should return. - `tag` (array) The tags the returned blocks are associated with. If multiple tags are specified, only blocks that match all specified tags are returned. ## Response 200 fields (application/json): - `data` (array) Example: [{"id":"c6af751e4a0041eebb000c51e95e6c2d","createdBy":"8a90e08282f4ed040182f67bab2902ff","createdOn":"2025-04-22T08:17:24.000 UTC","updatedBy":"8a90e08282f4ed040182f67bab2902ff","updatedOn":"2025-04-22T08:17:24.000 UTC","active":true,"name":"Header Block","number":"RB-00000010","category":"Headers","tags":[],"content":"(The content of the block)"}] - `data.active` (boolean) The status of the reusable block. Only active blocks can be embedded into email templates. Example: true - `data.category` (string) The category of the reusable block. You can filter blocks by category when editing email templates in the UI. Enum: "Headers", "Footers", "Other" - `data.content` (string) The content of the reusable block, which is automatically inserted into email templates when sending email notifications. Example: "(The content of the block)" - `data.createdBy` (string) The ID of the user who created the reusable block. Example: "8a90e08282f4ed040182f67bab2902ff" - `data.createdOn` (string) The time when the reusable block was created. Example: "2025-04-22T08:17:24.000 UTC" - `data.id` (string) The ID of the reusable block. Example: "c6af751e4a0041eebb000c51e95e6c2d" - `data.name` (string) The name of the reusable block. The value must be unique across all blocks. Example: "Header Block" - `data.number` (string) The number of the reusable block. The value must be unique across all blocks. If not specified, a unique value will be provided by default. Example: "RB-00000010" - `data.tags` (array) List of tags that help you quickly locate reusable blocks when editing email templates in the UI by using the tag filter. Example: [] - `data.updatedBy` (string) The ID of the user who updated the reusable block. Example: "8a90e08282f4ed040182f67bab2902ff" - `data.updatedOn` (string) TThe time when the reusable block was updated. Example: "2025-04-22T08:17:24.000 UTC" - `next` (string) The URI to query the next page of data, e.g. '/notifications/reusable-blocks?start=21&limit=20'. The start equals the request's start+limit, and the limit equals the request's limit. If the current page is the last page, this value is null. ## Response 400 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 404 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 405 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 415 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response